/*.custom-file-upload {
    border: 1px solid #ccc;
    display: inline-block;
    padding: 6px 12px;
    cursor: pointer;
}
input[type="file"] {
    display: none;
}
*/
.contenedor {
  display: flex;
  flex-direction: column;
  margin: 1rem auto;
  max-width: 900px;
  min-height: 150px;
}
.navigator {
  margin: 1.2rem auto;
}
.inputfile {
  width: 0.1px;
  height: 0.1px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
}
.inputfile + label {
  font-size: 1.3em;
  font-weight: 500;
  height: 35px;
  width: 25em;
  color: white;
  background-color: #7fc241;
  display: inline-block;
  padding: 0.2em;
  box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  border-radius: 0.2em;
  margin: 2em;
}
.inputfile2 {
  width: 0.1px;
  height: 0.1px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
}
.inputfile2 + label {
  font-size: 1.3em;
  font-weight: 500;
  height: 35px;
  width: 25em;
  color: white;
  background-color: #fdb813;
  display: inline-block;
  padding: 0.2em;
  box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  border-radius: 0.2em;
  margin: 2em;
}

.inputfile2 + label svg {
  width: 1.2em;
  height: 1.2em;
  vertical-align: middle;
  fill: currentColor;
  margin-bottom: 0.25em;
  margin-right: 0.5em;
  display: inline-block;
}

.inputfile2 + label span {
  display: inline-block;
  margin-top: 0.25em;
}
.text-overflow {
  max-width: 20em;
  white-space: nowrap;
  text-overflow: ellipsis;
  word-wrap: break-word;
  overflow: hidden;
  vertical-align: text-bottom;
}
.buttons {
  margin: 2em auto;
}

.inputfile:focus + label,
.inputfile + label:hover {
  background-color: #71ac3a;
}
.inputfile2:focus + label,
.inputfile2 + label:hover {
  background-color: #f68b1edb;
}
.inputfile + label {
  cursor: pointer;
}

.inputfile + label svg {
  width: 1.2em;
  height: 1.2em;
  vertical-align: middle;
  fill: currentColor;
  margin-bottom: 0.25em;
  margin-right: 0.5em;
  display: inline-block;
}

.inputfile + label span {
  display: inline-block;
  margin-top: 0.25em;
}

.mat-raised-button:not([class*="mat-elevation-z"]) {
  box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14),
    0px 1px 5px 0px rgba(0, 0, 0, 0.12);
  margin: 1.2px;
}

.example-month-picker .mat-calendar-period-button {
  pointer-events: none;
}

.example-month-picker .mat-calendar-arrow {
  display: none;
}
.example-form {
  min-width: 150px;
  max-width: 500px;
  width: 100%;
}

.example-full-width {
  width: 50%;
}
details {
  border: 1px solid #aaa;
  border-radius: 4px;
  padding: 0.5em 0.5em 0;
  transition-duration: 0.4s;
}

summary {
  transition-duration: 0.4s;
  font-weight: bold;
  margin: -0.5em -0.5em 0;
  padding: 0.5em;
}
summary:hover {
  background-color: rgb(0, 139, 107);
  color: #ffffff;
}

details[open] {
  padding: 0.5em;
}

details[open] summary {
  border-bottom: 1px solid #aaa;
  margin-bottom: 0.5em;
}
.val_indicador {
  font-size: 60px;
  font-weight: bolder;
  color: #f68b1e;
}
.mat-card-insert {
  margin: 4px;
}
  #progress {
    margin: 20px;
    width: 200px;
    height: 200px;
    position: relative;
  }

  p { 
    line-height: 1.5; 
    text-align: center;
}
.intruccion {
  width: 41em;
  margin: auto;
}
h1 {
 
  margin: 1em;
}
th {
  text-align: center;
  background-color: #b3b3b3;
  color: white;
}
.tdIngeniero {
  text-align: justify;
  height: 1.5em;
  //width: 10em;
  background-color: #f1f1f1;
}

td {
  text-align: center;
  height: 1.5em;
  min-width: 8em;
  background-color: #f1f1f1;
}